ru.bitel.bgbilling.kernel.network.radius

## Class RadiusAttribute.RadiusAttributeString

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<V>,V>
  - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<java.lang.String>
    - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeString

- Enclosing class:
    RadiusAttribute<V>

      public static class RadiusAttribute.RadiusAttributeString
      extends RadiusAttribute<java.lang.String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeIpAddr, RadiusAttribute.RadiusAttributeString`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `tag`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `data, info, length, value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RadiusAttributeString(int vendor, int type, java.nio.ByteBuffer data)`
    `` | `RadiusAttributeString(int vendor, int type, int tag, java.nio.ByteBuffer data)`
    `` | `RadiusAttributeString(int vendor, int type, int tag, java.lang.String data)`
    `` | `RadiusAttributeString(int vendor, int type, java.lang.String data)`
    `protected` | `RadiusAttributeString(RadiusAttributeInfo<java.lang.String> info, int tag, java.nio.ByteBuffer data)`
    `protected` | `RadiusAttributeString(RadiusAttributeInfo<java.lang.String> info, int tag, java.lang.String data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadiusAttribute.RadiusAttributeString` | `clone()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `equals, getTag, toString, toString, write`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `getData, getDataAsByteArray, getLength, getValue`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusAttributeString

          protected RadiusAttributeString(RadiusAttributeInfo<java.lang.String> info,
                                          int tag,
                                          java.nio.ByteBuffer data)

    - #### RadiusAttributeString

          protected RadiusAttributeString(RadiusAttributeInfo<java.lang.String> info,
                                          int tag,
                                          java.lang.String data)

    - #### RadiusAttributeString

          public RadiusAttributeString(int vendor,
                                       int type,
                                       int tag,
                                       java.nio.ByteBuffer data)

    - #### RadiusAttributeString

          public RadiusAttributeString(int vendor,
                                       int type,
                                       java.nio.ByteBuffer data)

    - #### RadiusAttributeString

          public RadiusAttributeString(int vendor,
                                       int type,
                                       java.lang.String data)

    - #### RadiusAttributeString

          public RadiusAttributeString(int vendor,
                                       int type,
                                       int tag,
                                       java.lang.String data)

  - ### Method Detail

    - #### clone

          public RadiusAttribute.RadiusAttributeString clone()

      Overrides:
        `clone` in class `RadiusAttribute<java.lang.String>`